LOCALECONV(3)

NAME
localeconv - get numeric formatting information

SYNOPSIS
#include <locale.h>

struct lconv *localeconv(void);

DESCRIPTION
The localeconv() function returns a pointer to a struct lconv for the current locale. This structure is defined in the header-file locale.h and contains all values associated with the locale categories LC_NUMERIC and LC_MONETARY. Programs may also use the functions printf() and strfmon() that behave according the the actual locale in use.

CONFORMING TO
ANSI C, POSIX.1

BUGS
The printf() family of functions may or may not honor the current locale.

SEE ALSO
locale(1), localedef(1), strcoll(3), isalpha(3), setlocale(3), strftime(3), locale(7)